## hubzero-php 2.2.1

=== Makefile ===
# @package      hubzero-php
# @file         Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

USRSHARE=$(DESTDIR)/usr/share

all:
	@true

install:
	install --mode 0755 -d $(USRSHARE)/hubzero-php/conf
	install --mode 0644 -D logrotate-cmsauth.m4 $(USRSHARE)/hubzero-php/conf
	install --mode 0644 -D logrotate-cmsdebug.m4 $(USRSHARE)/hubzero-php/conf
	install --mode 0644 -D logrotate-cmsprofile.m4 $(USRSHARE)/hubzero-php/conf

uninstall:
	@true

postinst:
	@true

clean:
	@true

.PHONY: all install uninstall postinst clean

## hubzero-php 2.2.4-1+deb9

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      hubzero-php
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2019 HUBzero Foundation, LLC.
 # @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2019 HUBzero Foundation, LLC.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal
@@ -33,10 +33,7 @@
 	@true
 
 install:
-	install --mode 0755 -d $(USRSHARE)/hubzero-php/conf
-	install --mode 0644 -D logrotate-cmsauth.m4 $(USRSHARE)/hubzero-php/conf
-	install --mode 0644 -D logrotate-cmsdebug.m4 $(USRSHARE)/hubzero-php/conf
-	install --mode 0644 -D logrotate-cmsprofile.m4 $(USRSHARE)/hubzero-php/conf
+	@true
 
 uninstall:
 	@true
@@ -48,4 +45,3 @@
 	@true
 
 .PHONY: all install uninstall postinst clean
-

=== debian/changelog ===
hubzero-php (2.2.4-1+deb9) stable; urgency=low

  * add packaging support for Debian 9
  * remove logrotate configuration, now handled by hubzero-cli(hzcms)

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 02 May 2019 15:15:35 -0400

hubzero-php (2.2.3-1) stable; urgency=low

  * add debian dependency for php stem and oauth modules

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 27 Jun 2018 13:17:11 -0400

hubzero-php (2.2.2-1) stable; urgency=low

  * add dependency for php mcrypt module

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 12 Jun 2018 15:05:19 -0400

hubzero-php (2.2.1-1) stable; urgency=low

  * Debian support

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 06 Jun 2018 13:52:22 -0400

hubzero-php (2.2.0-1) stable; urgency=low

  * Initial release.

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 17 Apr 2018 22:27:03 -0400

=== debian/control ===

Source: hubzero-php
Section: misc
Priority: optional
Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.8.4
Homepage: http://hubzero.org

Package: hubzero-php
Architecture: all
Depends:    , libapache2-mod-php(>=5.6), php-cli, php-mysql, php-gd, php-curl, php-mcrypt, php-stem, php-oauth , unzip
Recommends: hubzero-texvc, hubzero-textifier, clamav, hubzero-mailgateway, git, wkhtmltopdf, xvfb, exim4
Description: HUBzero PHP meta-package
 This simple meta package brings in dependent packages for running 
 the web front end of HUBzero using PHP

=== debian/rules ===
#!/usr/bin/make -f
#
# @package      hubzero-php
# @file         rules
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

$(info ########## Goals: $(MAKECMDGOALS) ##########)

CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

export CFLAGS
export CPPFLAGS
export CXXFLAGS
export LDFLAGS

DEB_MAJOR:=$(shell lsb_release -r -s | cut -d . -f 1)

configure:
	@echo "########## configure ##########"
	dh_testdir
	>$@

build: configure
	@echo "########## build ##########"
	dh_testdir
	$(MAKE)
	>$@

clean:
	@echo "########## clean ##########"
	dh_testdir
	dh_testroot
	rm -fr build configure
	$(MAKE) clean
	dh_clean

install: build
	@echo "########## install ##########"
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/hubzero-php install

binary-indep: install
	@echo "########## binary-indep ##########"
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
	dh_install -i
	dh_installlogrotate -i
	dh_installinit -i
	dh_installman -i
	#dh_python2 -i
	dh_link -i
	dh_strip -i
	dh_lintian -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: install
	@echo "########## binary-arch ##########"
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installexamples -a
	dh_install -a
	dh_installlogrotate -a
	dh_installinit -a
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_lintian -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep 
#binary: binary-arch
	@echo "########## binary ##########"

.PHONY: clean binary-indep binary-arch binary install

## hubzero-php 2.2.5-1+deb9

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,9 @@
 # @package      hubzero-php
 # @file         Makefile
-# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2019 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2020 The Regents of the University of California.
 # @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2010-2019 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2020 The Regents of the University of California.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal
@@ -24,7 +23,7 @@
 # OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 # THE SOFTWARE.
 #
-# HUBzero is a registered trademark of HUBzero Foundation, LLC.
+# HUBzero is a registered trademark of The Regents of the University of California.
 #
 
 USRSHARE=$(DESTDIR)/usr/share

=== debian/changelog ===
hubzero-php (2.2.5-1+deb9) stable; urgency=low

  * update copyright/trademark ownership
  * update email address references
  * remove per file @author references
  * update copyright years

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Tue, 18 Aug 2020 20:59:17 -0700

hubzero-php (2.2.4-1) stable; urgency=low

  * add packaging support for Debian 9
  * remove logrotate configuration, now handled by hubzero-cli(hzcms)

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 02 May 2019 15:15:35 -0400

=== debian/control ===

Source: hubzero-php
Section: misc
Priority: optional
Maintainer: Nicholas J. Kisseberth <nkisseberth@ucsd.edu>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.8.4
Homepage: http://hubzero.org

Package: hubzero-php
Architecture: all
Depends:    , php-fpm, php-cli, php-mysql, php-gd, php-curl, php-mcrypt, php-stem, php-oauth , unzip
Recommends: hubzero-texvc, hubzero-textifier, clamav, hubzero-mailgateway, git, wkhtmltopdf, xvfb, exim4
Description: HUBzero PHP meta-package
 This simple meta package brings in dependent packages for running 
 the web front end of HUBzero using PHP

=== debian/rules ===
--- 
+++ 
@@ -2,11 +2,10 @@
 #
 # @package      hubzero-php
 # @file         rules
-# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2020 The Regents of the University of California.
 # @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2020 The Regents of the University of California.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal
@@ -26,7 +25,7 @@
 # OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 # THE SOFTWARE.
 #
-# HUBzero is a registered trademark of HUBzero Foundation, LLC.
+# HUBzero is a registered trademark of The Regents of the University of California.
 #
 
 # Uncomment this to turn on verbose mode.
